## GtkCharSelection GtkCharSelection — Character selection dialog |

## Functions

GtkWidget * | gtk_char_selection_new ()
void | gtk_char_selection_set_selection ()
gint | gtk_char_selection_get_selection ()

## Types and Values

struct | GtkCharSelection

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkCharSelection

## Implemented Interfaces

GtkCharSelection implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

Char selection is a widget which contains all the characters in a font. Connecting a callback to the ok button of the widget you get the selected char.

## Functions

### gtk_char_selection_new ()

    GtkWidget *
    gtk_char_selection_new (void);

### gtk_char_selection_set_selection ()

    void
    gtk_char_selection_set_selection (GtkCharSelection *charsel,
                                      gint selection);

Sets the selection for the GtkCharSelection widget.

#### Parameters

charsel | Char Selection widget. |
selection | a character index from the list. 0 is left,upper corner;256 is right, down corner. |

### gtk_char_selection_get_selection ()

    gint
    gtk_char_selection_get_selection (GtkCharSelection *charsel);

Gets the current selection

#### Parameters

charsel | Char Selection widget. |

#### Returns

The current selection(a character from the list).0 is left,upper corner;256 is right, down corner.

## Types and Values

### struct GtkCharSelection

    struct GtkCharSelection;

The GtkCharSelection struct contains only private data. It should only be accessed through the functions described below.